Commit 69fafacb authored by Laurent Montel's avatar Laurent Montel 😁
Browse files

We depend against 5.14.0

parent ef0ece50
Pipeline #51313 canceled with stage
......@@ -9,23 +9,13 @@ add_subdirectory(gnupgwks)
add_subdirectory(pkpass)
add_subdirectory(itinerary)
if (Qt5Widgets_VERSION VERSION_LESS 5.14.0)
option(FORCE_DISCOUNT_LIB "Force using discount lib for markdown bodyformatter." TRUE)
if (FORCE_DISCOUNT_LIB AND discount_FOUND)
set(USE_DISCOUNT_LIB TRUE)
if(discount_FOUND)
MESSAGE(STATUS "build bodyparformatter mardown with discount support")
add_subdirectory(markdown)
else()
message(STATUS "Markdown plugin not supported before qt 5.14.0")
endif()
MESSAGE(STATUS "build bodyparformatter mardown with discount support")
add_subdirectory(markdown)
else()
option(FORCE_DISCOUNT_LIB "Force using discount lib for markdown bodyformatter." TRUE)
if (FORCE_DISCOUNT_LIB AND discount_FOUND)
set(USE_DISCOUNT_LIB TRUE)
MESSAGE(STATUS "build bodyparformatter mardown with discount support")
add_subdirectory(markdown)
else()
set(USE_DISCOUNT_LIB FALSE)
MESSAGE(STATUS "build bodyparformatter mardown with QTextDocument support")
add_subdirectory(markdown)
endif()
set(USE_DISCOUNT_LIB FALSE)
MESSAGE(STATUS "build bodyparformatter mardown with QTextDocument support")
add_subdirectory(markdown)
endif()
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment